#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_custom_target( tdescreensaver.tar.gz ALL
  COMMAND ${TAR} zcf tdescreensaver.tar.gz -C ${CMAKE_CURRENT_SOURCE_DIR}
    tdescreensaver.desktop tdescreensaver.png tdescreensaver.h
    tdescreensaverui.ui src-Makefile.am tdescreensaver.cpp
    tdescreensaver.kdevelop subdirs
)


install( FILES
    ${CMAKE_CURRENT_BINARY_DIR}/tdescreensaver.tar.gz tdescreensaver.png
  DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard )


install( FILES
    tdescreensaver.kdevtemplate
  DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/templates )
